SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001259SiT!LDAPpublic2010-04-11 17:372010-05-29 14:20
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001259: Some passwords don't work with admin connection
DescriptionWhen the admin connection password contains certain characters authentication doesn't work

+ was reported in the forums (and I've reproduced)
 Application Warning [512] Could not bind to LDAP server with credentials 'sit@ad.work.pheaney.co.uk' and sit sit! (in line 228 of file /home/paulh/sit/lib/ldap.inc.php)

password was sit+sit!

& also replaces to &

not sure what else is effected
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003018)
paulh (administrator)
2010-04-11 17:49

was mentioned here on the forums

http://sitracker.org/forum/viewtopic.php?f=4&t=1417055 [^]
User avatar (0003064)
paulh (administrator)
2010-04-14 21:36

Confirming this as it was also reported on the forums
User avatar (0003067)
paulh (administrator)
2010-04-14 21:53

r6434 resolves this, was already fixed in git
User avatar (0003200)
ivan (administrator)
2010-05-29 14:20

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-04-11 17:37 paulh New Issue
2010-04-11 17:49 paulh Note Added: 0003018
2010-04-14 21:36 paulh Note Added: 0003064
2010-04-14 21:36 paulh Status new => confirmed
2010-04-14 21:53 paulh Note Added: 0003067
2010-04-14 21:53 paulh Assigned To => paulh
2010-04-14 21:53 paulh Status confirmed => resolved
2010-04-14 21:53 paulh Resolution open => fixed
2010-04-14 21:53 paulh Fixed in Version => Current SVN
2010-04-14 21:53 paulh Target Version => 3.61 LTS
2010-04-14 21:53 paulh Description Updated View Revisions
2010-05-29 13:39 ivan Fixed in Version Current SVN => 3.61 LTS
2010-05-29 14:20 ivan Note Added: 0003200
2010-05-29 14:20 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker